---
title: <glyphRef>
slug: Web/SVG/Element/glyphRef
tags:
  - Deprecated
  - Element
  - NeedsExample
  - Reference
  - SVG
  - SVG Text Content
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <code>glyphRef</code> element provides a single possible glyph to the referencing {{ SVGElement("altGlyph") }} substitution.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/SVG/Attribute#Core">Core attributes</a> »</li>
 <li><a href="/en-US/SVG/Attribute#Presentation">Presentation attributes</a> »</li>
 <li><a href="/en-US/SVG/Attribute#XLink">XLink attributes</a> »</li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("x")}}</li>
 <li>{{SVGAttr("y")}}</li>
 <li>{{SVGAttr("dx")}}</li>
 <li>{{SVGAttr("dy")}}</li>
 <li>{{SVGAttr("glyphRef")}}</li>
 <li>{{SVGAttr("format")}}</li>
 <li>{{SVGAttr("xlink:href")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the <code><a href="/en-US/DOM/SVGGlyphRefElement">SVGGlyphRefElement</a></code> interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG1.1', 'text.html#GlyphRefElement', '&lt;glyphRef&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.glyphRef")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("altGlyph")}}</li>
</ul>
